org.keycloak.broker.oidc

## Class KeycloakOIDCIdentityProvider.KeycloakEndpoint

- java.lang.Object
- - org.keycloak.broker.oidc.AbstractOAuth2IdentityProvider.Endpoint
  - - org.keycloak.broker.oidc.OIDCIdentityProvider.OIDCEndpoint
    - - org.keycloak.broker.oidc.KeycloakOIDCIdentityProvider.KeycloakEndpoint

- Enclosing class:
    KeycloakOIDCIdentityProvider

      protected class KeycloakOIDCIdentityProvider.KeycloakEndpoint
      extends OIDCIdentityProvider.OIDCEndpoint

- - ### Field Summary

    - ### Fields inherited from class org.keycloak.broker.oidc.AbstractOAuth2IdentityProvider.Endpoint

      `callback, clientConnection, event, headers, realm, session, uriInfo`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `KeycloakEndpoint(IdentityProvider.AuthenticationCallback callback, RealmModel realm, EventBuilder event)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.ws.rs.core.Response` | `backchannelLogout(String input)`
    `SimpleHttp` | `generateTokenRequest(String authorizationCode)`
    `protected boolean` | `validateAction(AdminAction action)`

    - ### Methods inherited from class org.keycloak.broker.oidc.OIDCIdentityProvider.OIDCEndpoint

      `logoutResponse`

    - ### Methods inherited from class org.keycloak.broker.oidc.AbstractOAuth2IdentityProvider.Endpoint

      `authResponse`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### KeycloakEndpoint

          public KeycloakEndpoint(IdentityProvider.AuthenticationCallback callback,
                                  RealmModel realm,
                                  EventBuilder event)

  - ### Method Detail

    - #### backchannelLogout

          @POST
           @Path(value="k_logout")
          public javax.ws.rs.core.Response backchannelLogout(String input)

    - #### validateAction

          protected boolean validateAction(AdminAction action)

    - #### generateTokenRequest

          public SimpleHttp generateTokenRequest(String authorizationCode)

      Overrides:
        `generateTokenRequest` in class `AbstractOAuth2IdentityProvider.Endpoint`

Copyright © 2016 JBoss by Red Hat. All rights reserved.